from typing import cast


class DebputyRuntimeError(RuntimeError):
    @property
    def message(self) -> str:
        return cast("str", self.args[0])


class DebputySubstitutionError(DebputyRuntimeError):
    pass


class DebputyManifestVariableRequiresDebianDirError(DebputySubstitutionError):
    pass


class DebputyDpkgGensymbolsError(DebputyRuntimeError):
    pass


class PureVirtualPathError(TypeError):
    @property
    def message(self) -> str:
        return cast("str", self.args[0])
